1、安装依赖项:


sudo apt-get install cmake 
g++ 
libboost1.58-all-dev 
libeigen3-dev 
libflann-dev 
python 
libusb-1.0-0-dev 
libudev-dev 
freeglut3-dev 
doxygen 
graphviz 
libpng12-dev 
libgtest-dev 
libxmu-dev 
libxi-dev 
libpcap-dev 
libqhull-dev 
libvtk5-qt4-dev 
python-vtk 


libvtk-java




下载pcl  (我这边成功安装的是1.8.1版本)

wget https://codeload.github.com/PointCloudLibrary/pcl/zip/pcl-1.8.1





下载后重命名: mv pcl-1.8.1 pcl-1.8.1.zip  后解压  unzip pcl-1.8.1.zip

在pcl-pcl-1.8.1文件夹内 创建build 后cd build  并在build内输入 cmake .. 

不要急于make,  在pcl-pcl-1.8.1/build/features/ 下  修改 pcl_features-1.8.pc文件

修改如下 “加入#” 因为1.8 里面没有这个文件,后面编译会出错

Requires:  pcl_common-1.8 pcl_search-1.8 pcl_kdtree-1.8 pcl_octree-1.8
pcl_filters-1.8 #pcl_2d-1.8

之后可以make -j8 和 make install 

注意事项:

我这边出现flann版本不对的情况下,我下载安装了flann-1.8.4版本

wget http://www.cs.ubc.ca/research/flann/uploads/FLANN/flann-1.8.4-src.zip


还有就是需要metslib 

参考链接:https://download.csdn.net/download/yeyang911/10326884
<https://download.csdn.net/download/yeyang911/10326884>

下面安装python接口

git clone https://github.com/strawlab/python-pcl.git


进入python-pcl     运行 sh build.sh 即可

添加lib的环境变量即可。